#include <iostream>
#include "window.h"
#include <GLFW/glfw3.h>
#include <ostream>

int main(){
	std::cout << "Testing from work" << std::endl;
	if(!glfwInit()){
		std::cerr << "Unable to initialize GLFW. Terminating." << std::endl;
		return 0;
	}
	Window* window = new Window(800, 600, "Test Window");
	while(!window->closing()){
		if(window->mouseDown(0)){
			std::cout << "mouse button down" << std::endl;
		}
		window->updateWindow();
	}
	delete window;
	
	glfwTerminate();
	return 0;
}
